%define ver      0.20
%define rel      2mdk
%define prefix   /usr

Summary: Network traffic recorder
Name: tcpflow
Version: %ver
Release: %rel
Packager: Etienne Faure <etienne@mandrakesoft.com>
Copyright: GPL
Group: Applications/Monitoring
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix: %_prefix
URL: http://www.circlemud.org/~jelson/software/tcpflow/

%description
tcpflow is a program that captures data transmitted as part of TCP connections (flows), and stores the data in a way that is convenient for protocol analysis or debugging. A program like 'tcpdump' shows a summary of packets seen on the wire, but usually doesn't store the data that's actually being transmitted. In contrast, tcpflow reconstructs the actual data streams and stores each flow in a separate file for later analysis.

%prep
%setup -q

%build
# Needed for snapshot releases.
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
MYCFLAGS="$RPM_OPT_FLAGS"

#if [ ! -f configure ]; then
#  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --with-pcap=/usr/include/pcap
#else
#  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --with-pcap=/usr/include/pcap
#fi

CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib 

#if [ "$SMP" != "" ]; then
#  (make "MAKE=make -k -j $SMP"; exit 0)
#  make
#else
#  make
#fi
make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#make prefix=$RPM_BUILD_ROOT%{prefix} mandir=$RPM_BUILD_ROOT%{_mandir}  install
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_libdir}/menu/
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man*/*
%{_libdir}/menu/*
%changelog

* Fri Jun 09 2001 Etienne Faure <etienne@mandrakesoft.com> 0.20-2mdk
- Contrib build
- Menu entry
- Clean specfile

* Fri May 25 2001 Manuel Mitnyan <logo@videotron.ca> 2.3.1-2mdk
- rebuild for Mandrake 
* Thu Apr 22 1999 Ross Golder <rossigee@bigfoot.com>
- Wrote for version 0.12 

